Information on source package libupnp

Available versions

ReleaseVersion
stretch1:1.6.19+git20160116-1.2
stretch (security)1:1.6.19+git20160116-1.2+deb9u1

Open issues

BugstretchDescription
CVE-2021-29462vulnerable (no DSA)The Portable SDK for UPnP Devices is an SDK for development of UPnP de ...
CVE-2021-28302vulnerable (no DSA)A stack overflow in pupnp 1.16.1 can cause the denial of service throu ...
CVE-2020-12695vulnerable (no DSA)The Open Connectivity Foundation UPnP specification before 2020-04-17 ...

Resolved issues

BugDescription
CVE-2020-13848Portable UPnP SDK (aka libupnp) 1.12.1 and earlier allows remote attac ...
CVE-2016-8863Heap-based buffer overflow in the create_url_list function in gena/gen ...
CVE-2016-6255Portable UPnP SDK (aka libupnp) before 1.6.21 allows remote attackers ...
CVE-2012-5965Stack-based buffer overflow in the unique_service_name function in ssd ...
CVE-2012-5964Stack-based buffer overflow in the unique_service_name function in ssd ...
CVE-2012-5963Stack-based buffer overflow in the unique_service_name function in ssd ...
CVE-2012-5962Stack-based buffer overflow in the unique_service_name function in ssd ...
CVE-2012-5961Stack-based buffer overflow in the unique_service_name function in ssd ...
CVE-2012-5960Stack-based buffer overflow in the unique_service_name function in ssd ...
CVE-2012-5959Stack-based buffer overflow in the unique_service_name function in ssd ...
CVE-2012-5958Stack-based buffer overflow in the unique_service_name function in ssd ...

Security announcements

DSA / DLADescription
DLA-2585-1libupnp - security update
DLA-2238-1libupnp - security update
DSA-3736-1libupnp - security update
DLA-747-1libupnp - security update
DLA-597-1libupnp - security update
DSA-2614-1libupnp - several

Search for package or bug name: Reporting problems